/**
 * The reducer registry manages the initial and future register process of reducers.
 * It enables lazy loading of reducers by implementing a state-saving replacement of the
 * store reducer.
 *
 * The idea and source code was originally written by the DEV team at Twitter, see this post:
 * http://nicolasgallagher.com/redux-modules-and-code-splitting/
 *
 * @export
 */
export declare class ReducerRegistry {
    private _emitChange;
    private _reducers;
    constructor();
    getReducers(): any;
    register(name: string, reducer: Function): void;
    setChangeListener(listener: Function): void;
}
export declare const reducerRegistry: ReducerRegistry;
